# Reviews

This endpoint provides access to reviews for specified accommodations, allowing you to retrieve traveller feedback associated with a particular property. The reviews returned can be filtered and sorted, with the option to limit the number of reviews per accommodation by specifying the rows parameter. Please note that the ratings score is based on all traveller traffic across Booking.com, and may not necessarily reflect the experience of your own customers. If you choose to display or use these ratings and reviews, you are responsible for ensuring that your travellers are properly informed about what these scores represent.

Endpoint: POST /accommodations/reviews
Version: 3.2-Beta
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Request fields (application/json):

  - `accommodations` (array, required)

  - `languages` (array)
    Limits reviews to those written in this language.
    Example: ["en-us"]

  - `last_change` (string)
    Limits the reviews to those changed after the given date. Format: YYYY-MM-DD.

  - `page` (string)
    Pagination token used to retrieve the next page of results. Obtained from next_page.

  - `reviewer` (object)

  - `reviewer.countries` (array)
    Limits reviews to those written by reviewer from the given country.
    Example: ["nl"]

  - `reviewer.travel_purposes` (array)
    Limits reviews to those written by specific travel purposes.
    Enum: "business", "leisure"

  - `reviewer.types` (array)
    Limits reviews to those written by specific reviewer type.
    Enum: "couple", "extended_group", "family_with_children", "solo_traveller"

  - `rows` (integer)
    The maximum number of results to return.

  - `score` (object)

  - `score.maximum` (integer)
    Limits the reviews to those having score lesser or equal to this value.

  - `score.minimum` (integer)
    Limits the reviews to those having score greater or equal to this value.

## Response 200 fields (application/json):

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `data` (array)

  - `data.id` (integer)
    A signed integer number that uniquely identifies an accommodation property. The full list can be obtained by calling [accommodations/details](/demand/docs/open-api/demand-api/accommodations/accommodations/details).

  - `data.reviews` (array)

  - `data.reviews.id` (integer)
    Unique identifier of the review.

  - `data.reviews.date` (string)
    The date when the review was last modified. Format: YYYY-MM-DD.

  - `data.reviews.language` (string)
    A [IETF language tag code](https://en.wikipedia.org/wiki/IETF_language_tag) that uniquely identifies a supported human language or dialect. Note: Demand API only accepts lowercase for the language codes. Examples: "nl" for Dutch/Nederlands or "en-us" for English (US). To retrieve the full list of supported languages, call the /common/languages endpoint in the same Demand API version you are using.

  - `data.reviews.negative` (string,null)
    Negative comments from this review.

  - `data.reviews.positive` (string,null)
    Positive comments from this review.

  - `data.reviews.reviewer` (object)

  - `data.reviews.reviewer.country` (string)
    A two-letter code that uniquely identifies a country. This code is defined by the ISO 3166-1 alpha-2 standard (ISO2) as described here: https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2. The full list can be obtained by calling common/locations/countries.

  - `data.reviews.reviewer.name` (string,null)
    Name of the reviewer. If the value is null then the reviewer is anonymous.

  - `data.reviews.reviewer.travel_purpose` (string)
    Defines if this was a leisure or business trip.
    Enum: "business", "leisure"

  - `data.reviews.reviewer.type` (string)
    The reviewer type.
    Enum: "couple", "extended_group", "family_with_children", "solo_traveller"

  - `data.reviews.score` (number)
    The aggregated score of the review.

  - `data.reviews.summary` (string,null)
    The summary of the review.

  - `data.reviews.text_meets_guidelines` (boolean)
    Set to true when review meets the guidelines. The review text will be removed if it doesn't meet guidelines.

  - `data.url` (string)
    Internet address for the property page on Booking.com.

  - `metadata` (object)

  - `metadata.next_page` (string,null)
    Indicates that more results are available. Use this pagination token to retrieve the next page of results (via parameter page).


